> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gladeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Amazon Product Variants

> Get the variants and variation attributes for an Amazon product.

Pass exactly one of `asin`, `gtin`, or `url`.


## OpenAPI

````yaml GET /api/amazon/product/variants
openapi: 3.1.0
info:
  title: Glade Amazon API
  version: 1.0.0
  description: >-
    Normalized Amazon product, search, seller, category, offer, review, deal,
    and estimate data.
servers:
  - url: https://gladeapi.com
security: []
paths:
  /api/amazon/product/variants:
    get:
      summary: Amazon Product Variants
      description: 'Get product variants using exactly one identifier: asin, url, or gtin.'
      operationId: get_AmazonProductVariants
      parameters:
        - name: domain
          in: query
          required: false
          description: Amazon marketplace code.
          schema:
            type: string
            enum:
              - US
              - UK
              - CA
              - DE
              - FR
              - IT
              - ES
              - AU
              - IN
              - MX
              - BR
              - JP
              - PL
            default: US
        - name: asin
          description: A 10-character Amazon Standard Identification Number.
          schema:
            type: string
            pattern: ^[A-Za-z0-9]{10}$
          in: query
          required: false
        - name: url
          description: A canonical HTTPS product URL on a supported Amazon host.
          schema:
            type: string
            format: uri
          in: query
          required: false
        - name: gtin
          description: A valid ISBN-10, UPC, EAN, or GTIN value.
          schema:
            type: string
          in: query
          required: false
      responses:
        '200':
          description: Successful Amazon data response
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - amazonProduct
                    properties:
                      amazonProduct:
                        $schema: http://json-schema.org/draft-07/schema#
                        type: object
                        properties:
                          variants:
                            type: array
                            items:
                              type: object
                              properties:
                                asin:
                                  type: string
                                  pattern: ^[A-Z0-9]{10}$
                                text:
                                  type: string
                                url:
                                  type: string
                                attributes:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      value:
                                        type: string
                                    additionalProperties: false
                                price:
                                  type: object
                                  properties:
                                    symbol:
                                      type: string
                                    value:
                                      type: number
                                    currency:
                                      type: string
                                      minLength: 3
                                      maxLength: 3
                                    display:
                                      type: string
                                  additionalProperties: false
                              additionalProperties: false
                        additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '402':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
        '504':
          $ref: '#/components/responses/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  responses:
    Error:
      description: Standard error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - success
        - errors
      properties:
        success:
          const: false
        errors:
          type: array
          items:
            type: object
            required:
              - code
              - message
            properties:
              code:
                type: integer
              message:
                type: string
              path:
                type: array
                items:
                  type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````